<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-order-data-heading" data-cy="OrderDataCreateUpdateHeading">Create or edit a Order Data</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_ppkNomor">Ppk Nomor</label>
          <input type="text" class="form-control" name="ppkNomor" id="field_ppkNomor" data-cy="ppkNomor" formControlName="ppkNomor" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_ppkTanggal">Ppk Tanggal</label>
          <div class="input-group">
            <input
              id="field_ppkTanggal"
              data-cy="ppkTanggal"
              type="text"
              class="form-control"
              name="ppkTanggal"
              ngbDatepicker
              #ppkTanggalDp="ngbDatepicker"
              formControlName="ppkTanggal"
            />
            <button type="button" class="btn btn-secondary" (click)="ppkTanggalDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nasabahNama">Nasabah Nama</label>
          <input
            type="text"
            class="form-control"
            name="nasabahNama"
            id="field_nasabahNama"
            data-cy="nasabahNama"
            formControlName="nasabahNama"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nasabahJenis">Nasabah Jenis</label>
          <input
            type="number"
            class="form-control"
            name="nasabahJenis"
            id="field_nasabahJenis"
            data-cy="nasabahJenis"
            formControlName="nasabahJenis"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tanggal">Tanggal</label>
          <div class="input-group">
            <input
              id="field_tanggal"
              data-cy="tanggal"
              type="text"
              class="form-control"
              name="tanggal"
              ngbDatepicker
              #tanggalDp="ngbDatepicker"
              formControlName="tanggal"
            />
            <button type="button" class="btn btn-secondary" (click)="tanggalDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_status">Status</label>
          <input type="number" class="form-control" name="status" id="field_status" data-cy="status" formControlName="status" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_type">Type</label>
          <input type="number" class="form-control" name="type" id="field_type" data-cy="type" formControlName="type" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_rawData">Raw Data</label>
          <select
            class="form-control"
            id="field_rawData"
            data-cy="rawData"
            name="rawData"
            formControlName="rawData"
            [compareWith]="compareRawData"
          >
            <option [ngValue]="null"></option>
            @for (rawDataOption of rawDataSharedCollection; track $index) {
              <option [ngValue]="rawDataOption">{{ rawDataOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_skSubtitusi">Sk Subtitusi</label>
          <select
            class="form-control"
            id="field_skSubtitusi"
            data-cy="skSubtitusi"
            name="skSubtitusi"
            formControlName="skSubtitusi"
            [compareWith]="compareSkSubtitusi"
          >
            <option [ngValue]="null"></option>
            @for (skSubtitusiOption of skSubtitusisSharedCollection; track $index) {
              <option [ngValue]="skSubtitusiOption">{{ skSubtitusiOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_berkas">Berkas</label>
          <select
            class="form-control"
            id="field_berkas"
            data-cy="berkas"
            name="berkas"
            formControlName="berkas"
            [compareWith]="compareBerkas"
          >
            <option [ngValue]="null"></option>
            @for (berkasOption of berkasSharedCollection; track $index) {
              <option [ngValue]="berkasOption">{{ berkasOption.id }}</option>
            }
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_cabang">Cabang</label>
          <select
            class="form-control"
            id="field_cabang"
            data-cy="cabang"
            name="cabang"
            formControlName="cabang"
            [compareWith]="compareCabang"
          >
            <option [ngValue]="null"></option>
            @for (cabangOption of cabangsSharedCollection; track $index) {
              <option [ngValue]="cabangOption">{{ cabangOption.id }}</option>
            }
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
